diff --git a/pgaweb/settings.py b/pgaweb/settings.py
index 2ad99c9..7df43b8 100644
--- a/pgaweb/settings.py
+++ b/pgaweb/settings.py
@@ -49,7 +49,8 @@ INSTALLED_APPS = (
     'download',
     'faq',
     'news',
-    'versions'
+    'versions',
+    'static_precompiler'
 )
 
 MIDDLEWARE_CLASSES = (
@@ -121,7 +122,17 @@ USE_TZ = True
 # https://docs.djangoproject.com/en/1.8/howto/static-files/
 
 STATIC_URL = '/static/'
-STATICFILES_DIRS = (os.path.join(BASE_DIR, 'static'),)
+STATICFILES_DIRS = (os.path.join(BASE_DIR, 'static'), os.path.join(BASE_DIR, 'pgaweb', 'static'))
+
+STATIC_PRECOMPILER_ROOT = 'static'
+
+STATIC_PRECOMPILER_COMPILERS = (
+    ('static_precompiler.compilers.libsass.SCSS', {
+        "sourcemap_enabled": True,
+        # "load_paths": ["/static/css"],
+        "precision": 8,
+    }),
+)
 
 # Load local settings overrides
 from settings_local import *
diff --git a/static/css/pgaweb.css b/pgaweb/static/css/pgaweb.scss
similarity index 100%
rename from static/css/pgaweb.css
rename to pgaweb/static/css/pgaweb.scss
diff --git a/pgaweb/templates/pgaweb/base.html b/pgaweb/templates/pgaweb/base.html
index f5ea6a6..bece71f 100755
--- a/pgaweb/templates/pgaweb/base.html
+++ b/pgaweb/templates/pgaweb/base.html
@@ -1,4 +1,7 @@
 {% load staticfiles %}
+{% load compile_static %}
+{% load static %}
+
 <!DOCTYPE html>
 <html lang="en">
   <head>
@@ -15,7 +18,7 @@
     <link href="{% static 'node_modules/bootstrap/dist/css/bootstrap.min.css' %}" rel="stylesheet">
     <link href="{% static 'node_modules/font-mfizz/dist/font-mfizz.css' %}" rel="stylesheet" >
     <link href="{% static 'node_modules/font-awesome/css/font-awesome.min.css' %}" rel="stylesheet">
-    <link href="{% static 'css/pgaweb.css' %}?2017060701" rel="stylesheet">
+    <link rel="stylesheet" href="{% static "css/pgaweb.scss"|compile %}" />
 
     <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
     <!--[if lt IE 9]>
diff --git a/requirements.txt b/requirements.txt
index 6e83d47..be29f96 100644
--- a/requirements.txt
+++ b/requirements.txt
@@ -1,2 +1,3 @@
 Django==1.8.18
 psycopg2==2.7.1
+django-static-precompiler[libsass]==1.6
